/*  ------------------------------------------------------------------------
    discretize4crf: a supervised method to discretize continuous attributes
    ------------------------------------------------------------------------
 
    Copyright (C) 2010 Christian RAYMOND
 
    ..................................................................
 
    This file is part of discretize4crf
 
    discretize4crf is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    discretize4crf is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with discretize4crf.  If not, see <http://www.gnu.org/licenses/>.

    ..................................................................
                               
    Contact :
              Christian RAYMOND - INSA de Rennes - IRISA
              20 avenue des buttes de Cosme, Rennes, FRANCE
              christian.raymond@irisa.fr
    ..................................................................*/
	
	
#ifndef IO_H
#define IO_H
#include "constant.h"


void sauve_seuil(MATRICE *m,TAB* t,char *nom);
int charge_seuil(MATRICE *m,TAB* t,char *nom);
MATRICE* check_fichier(char *fichier,MATRICE* mat);
MATRICE* lire_fichier(char *fic,MATRICE *m);
int CNinsert(MATRICE *m,long ligne,int colonne,char *label);
void resume_matrice_dans_colonne_numerique(MATRICE *m,TAB *liste_continu);
void affiche_resume_matrice(MATRICE *m,TAB *liste_continu);
void stat4resume(COLONNE_NUMERIQUE* c);
void resume_colonne(MATRICE *m,int colonne);

#endif
