/*  ------------------------------------------------------------------------
    discretize4crf: a supervised method to discretize continuous attributes
    ------------------------------------------------------------------------
 
    Copyright (C) 2010 Christian RAYMOND
 
    ..................................................................
 
    This file is part of discretize4crf
 
    discretize4crf is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    discretize4crf is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with discretize4crf.  If not, see <http://www.gnu.org/licenses/>.

    ..................................................................
                               
    Contact :
              Christian RAYMOND - INSA de Rennes - IRISA
              20 avenue des buttes de Cosme, Rennes, FRANCE
              christian.raymond@irisa.fr
    ..................................................................*/
	
	
#ifndef LABEL_H
#define LABEL_H 
#include "constant.h"

int Linsert(LABEL *,char *);
void add_label2label(LABEL *d,LABEL *s);
int cherche_label(LABEL *,char *);
void affiche_labels(LABEL* );
void init_label(MATRICE *,LABEL *);
void init_labeld(LABEL *,LABEL *);
void free_label(LABEL *);
void reset_label(LABEL *l);
char* liste_proportion_label(LABEL *l);
void new_label(LABEL *label,int maxlabel);
void free_light_label(LABEL *l);

#endif
